#pragma lannguage glsl1

vec4 effect(vec4 color, Image tex, vec2 texture_coords, vec2 screen_coords)
{
	vec4 textureColor = Texel(tex, texture_coords);
	vec4 result = vec4(textureColor[2], textureColor[1], textureColor[0], textureColor[3]);
	return result * color;
}
